Package ghidra.program.util

# Class FunctionSignatureSourceFieldLocation

java.lang.Object
ghidra.program.util.ProgramLocation
ghidra.program.util.FunctionLocation
ghidra.program.util.FunctionSignatureSourceFieldLocation

All Implemented Interfaces:
  `Cloneable`, `Comparable<ProgramLocation>`

public class FunctionSignatureSourceFieldLocation extends FunctionLocation
The `FunctionSignatureFieldLocation` class provides specific information about the Function Signature field within a program location.

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.FunctionLocation

  `functionAddr`

  ### Fields inherited from class ghidra.program.util.ProgramLocation

  `addr, program, refAddr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionSignatureSourceFieldLocation()`
  Default constructor needed for restoring a program location from XML
  `FunctionSignatureSourceFieldLocation(Program program, Address locationAddr, Address functionAddr, String source, int charOffset)`
  Construct a new FunctionSignatureFieldLocation object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getSignatureSource()`
  Return the function signature source at this location.
  `int`
  `hashCode()`
  `void`
  `restoreState(Program p, SaveState obj)`
  Restore this function location using the given program and save state object.
  `void`
  `saveState(SaveState obj)`
  Save this function location to the given save state object.
  `String`
  `toString()`
  Returns a String representation of this location.

  ### Methods inherited from class ghidra.program.util.FunctionLocation

  `getFunctionAddress, isValid`

  ### Methods inherited from class ghidra.program.util.ProgramLocation

  `clone, compareAddr, compareTo, getAddress, getByteAddress, getCharOffset, getColumn, getComponentPath, getLocation, getProgram, getRefAddress, getRow, getTranslatedCopy`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FunctionSignatureSourceFieldLocation

    public FunctionSignatureSourceFieldLocation(Program program, Address locationAddr, Address functionAddr, String source, int charOffset)
    Construct a new FunctionSignatureFieldLocation object.
    Parameters:
      `program` - the program of the location
      `locationAddr` - the address of this location.
      `functionAddr` - the function address
      `source` - the function signature SourceType at this location.
      `charOffset` - field character position

  - ### FunctionSignatureSourceFieldLocation

    public FunctionSignatureSourceFieldLocation()
    Default constructor needed for restoring a program location from XML

- ## Method Details

  - ### getSignatureSource

    public String getSignatureSource()
    Return the function signature source at this location.
    See Also:
      - `SourceType`

  - ### toString

    public String toString()
    Returns a String representation of this location.
    Overrides:
      `toString` in class `FunctionLocation`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ProgramLocation`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `FunctionLocation`
    See Also:
      - `Object.equals(java.lang.Object)`

  - ### saveState

    public void saveState(SaveState obj)
    Description copied from class: `FunctionLocation`
    Save this function location to the given save state object.
    Overrides:
      `saveState` in class `FunctionLocation`
    Parameters:
      `obj` - the save state object for saving the location

  - ### restoreState

    public void restoreState(Program p, SaveState obj)
    Description copied from class: `FunctionLocation`
    Restore this function location using the given program and save state object.
    Overrides:
      `restoreState` in class `FunctionLocation`
    Parameters:
      `p` - the program containing the function location
      `obj` - the save state object for saving the location